
QGIS Application - Bug report #8103

Ftools - Distance Matrix does not work

2013-06-18 09:56 AM - vinayan Parameswaran

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Processing/QGIS

Affected QGIS version:master Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16938

Description

Distance matrix does not work after the recent python updates.

Issue 1 - 'Input Unique Id' combobox is not populated.

Issue 2 -  select the browse button and enter any filename(.csv)..press ok.. the following message pops up.

An error has occured while executing Python code:

Traceback (most recent call last):

  File "/home/vinayan/gitQgisBuild/output/python/plugins/fTools/tools/doPointDistance.py", line 145, in saveFile

    if filePath.right(4) != ".csv": filePath = filePath + ".csv" 

AttributeError: 'unicode' object has no attribute 'right'

Python version:

2.7.3 (default, Aug  1 2012, 05:25:23) 

[GCC 4.6.3]

QGIS version:

1.9.0-Master Master, da0e4f3

Associated revisions

Revision 6eb31889 - 2013-06-19 01:20 AM - Matthias Kuhn

[ftools] Fix distance matrix (Fix #8103)

History

#1 - 2013-06-18 04:21 PM - Matthias Kuhn

- Status changed from Open to Closed

Fixed in changeset commit:"6eb31889d8ec57641046b676b59c41a2cbbf02c4".

#2 - 2017-05-01 01:21 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
